!set title=División por la derecha 2x2
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
author=XIAO Gang
email=xiao@unice.fr

ansorder=r,r,r,r
varcnt=20
prevarcnt=19
postvarcnt=0
replycnt=4
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=tex

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

val6=$[rint(20)]
tmp0=!randitem 1,-1

val7=$[rint($(tmp0))]
tmp0=!randitem 1,-1

val8=$[rint($(tmp0))]
tmp0=!randint 0, $val6

val9=$[rint($(tmp0))]
tmp0=!randint 1, $val6

val10=$[rint($(tmp0))]
tmp0=!randint 1, $val6

val11=$[rint($(tmp0))]
tmp0=!randint 0, $val6

val12=$[rint($(tmp0))]
val13=$[rint($val9*($val7))]
val14=$[rint($val10*($val7))]
val15=$[rint(-($val11)*($val8))]
val16=$[rint($val12*($val8))]
tmp0=!randint -$val6, $val6

val17=$[rint($(tmp0))]
tmp0=!randint -$val6, $val6

val18=$[rint($(tmp0))]
tmp0=!randint -$val6, $val6

val19=$[rint($(tmp0))]
tmp0=!randint -$val6, $val6

val20=$[rint($(tmp0))]
val21=$[rint(($val17)*($val13)+($val18)*($val15))]
val22=$[rint(($val17)*($val14)+($val18)*($val16))]
val23=$[rint(($val19)*($val13)+($val20)*($val15))]
val24=$[rint(($val19)*($val14)+($val20)*($val16))]
replyname1=a
replygood1=$val17
replyname2=b
replygood2=$val18
replyname3=c
replygood3=$val19
replyname4=d
replygood4=$val20
question=!nosubst Determina la matriz &#36;A=\pmatrix{a&b\cr c&d}&#36; tal que	 &#36;&#36; \pmatrix{a&b\cr c&d} \pmatrix{$val13&$val14\cr$val15&$val16}	 = \pmatrix{$val21&$val22\cr$val23&$val24} .&#36;&#36;

!goto stat

!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=13,14,15,16,21,22,23,24
embedcnt=0
